Atma Xplorer

Xploring Games, Computing, Photography

Install Signed 6.20 TN-C Hen + Prometheus ISO loader on your PSP

Total_Noob has released an update to 6.20 TN-A (and TN-B) fixing bugs and pushing quite a few features that merit an update.  What’s more interesting is that 6.20 TN-C is now signed, meaning it no longer needs to be run through the Half-Byte Loader and Patapon 2 demo exploit but rather it can be run on your XMB directly.

Now if you don’t understand the mumbo-jumbo indicated above, it simply means you can now easily run homebrew on your PSP by running a simple piece of software on your PlayStation Portable – at least as long as you’re on 6.20 OFW :)

If you’re already on 6.20 TN-A Hen, you can also follow the instructions below to upgrade to 6.20 TN-C.

Requirements:

  • A PSP-3000, PSP-2000 with TA-v88v3 motherboard or PSP Go with official firmware 6.20 installed. If you have a hackable PSP, I would recommend to install a permanent CFW like 5.50 GEN-D3.  If you’re not on 6.20, follow the upgrade guide for your PlayStation Portable on the troubleshooting part of the guide
  • Signed 6.20 TN-C Hen
  • Prometheus ISO loader | Mirror

Installing Signed 6.20 TN-C Hen and Prometheus ISO loader on your PSP

  • Extract the Signed 6.20 TN-C Hen file to your computer
  • Copy the PSP folder directly onto your memory stick or the storage of your PSP Go.
  • Go to your XMB, run the 6.20 TN-C Hen installer.  It will install then reboot to your XMB.  At this point, if you check your system’s current firmware version, it should give you 6.20 TN-C Hen
  • Once you’re back on the XMB, press “select” to make sure the TN Hen menu displays correctly.
  • Follow this guide: Installing the Prometheus ISO loader on your PSP.
  • Enjoy your Free PSP Games :).

Enjoy your Free PSP Games :).

Full 6.20 TN-C changelog:

(Changelog 6.20 TN-C)
———————
– Added 50 MB large memory support for every PSP models except PSP classic.
– Added online gaming support.
– Added server for TN NETWORK UPDATE.
– Fixed bug in VSHMenu where CPU speed hasn’t changed when set it to default.
– Fixed bug in Digital Comics that caused a crash.
– Fixed server redirection.
– Removed FAKE INDEX.DAT from VSHMenu, but feature is still effective (move version.txt to X:/seplugins/).
– Signed HEN with prxEncrypter (thanks to Mathieulh, bbtgp, coyotebean, kgsws and everyone who involved to this project).
– Used Davee’s $v1 trick to find power_buf_addr.

Also, Total_Noob has detailed future plans for 6.20 TN-D which may include, including POPSloader support (aka the PS1 playback everyone has been wanting) and improved NAND protection.

Troubleshooting:

If you’re not on 6.20 OFW and want to update your PlayStation Portable to accommodate 6.20 TN-C follow these instructions: HowTo: Upgrade your PSP to 6.20 OFW.

credits: Total_Noob, Liqiudzigong

If you’re on a different firmware, you may want to take a look at other Hen installations:

Tags: , , , , , ,

Comments ( 131 )

Have Something To Say ?

  1. Lusanagi January 23, 2011 Reply

    so does this mean that updating from 5.03 is now an option for us homebrew users? (I use gpsp kai and snes9x tyl)

    • Lusanagi January 23, 2011 Reply

      Sorry, my bad. I’m using UO gpsp kai AND Snes9x Euphoria R2

    • sylv3rblade January 23, 2011 Reply

      Yes, since december actually :) Well it’s up to you if you want to risk the update (since you know, there’s always the risk of saves getting corrupted). But the features that 6.xx firmware offer may just be worth your while.

  2. banban January 23, 2011 Reply

    SYL ???? filipino ka pla ?? haha…

    hindi lumalabas ang VHN menu sa psp ko 6.35 PRO ..psp-3004… ????

    anuh kulang nito ????

    ahm… yung x:\seplugins\verion.txt ??? anu ba laman nun ?… wla kasi ako ganyan.. haha..

    • sylv3rblade January 23, 2011 Reply

      Ah, yep :) Pinoy here :)
      Ah wait, I think I know the problem. Gonna check.

    • sylv3rblade January 23, 2011 Reply

      currently looking for a VSH menu plugin that’s compatible with 6.20 TN-C but this is odd since I’m pretty certain that 6.20 TN-C has the VSH menu enabled (unlike 6.31 and 6.35)

  3. banban January 24, 2011 Reply

    Q:

    anu ba ang kaibahan sa cpu speed na default sa 333/166 ????

    bakit walang VHS menu ang sa 6.35 ???? huhuhuhuhuh….

    tanong ko lng po..

    • sylv3rblade January 24, 2011 Reply

      Added Light VSH plugin menu for 6.35 :)
      Mas mabilis ung 333 (overclocked) vs 166 (underclocked)

  4. -memesss- January 24, 2011 Reply

    can i downgrade my psp with 6.20 tn-c like 6.20 tn-b?

    • Lusanagi January 24, 2011 Reply

      there is no “downgrading”, since you are not flashing anything on your PSP, you just run the TN HEN eboot, so you can run any version you want (A,B or C) without problems

  5. patrick January 25, 2011 Reply

    where can i find the ISO folder? there’s nothing called ISO folder in my memory stick..please help…

    • Lusanagi January 25, 2011 Reply

      there is no ISO folder right off the bat, you have to create it in the root of your memory stick

  6. hax-nohax psp 3001 ofw 6.20..darn! January 26, 2011 Reply

    If it asks to replace the folders do i give it the permission? and is there any chance will it brick my psp?

    • sylv3rblade January 26, 2011 Reply

      It’ll just copy the files into the right folders, it’s fine.

  7. banban January 26, 2011 Reply

    what is the default cpu speed of the psp ????????

  8. banban January 28, 2011 Reply

    TN – D ……when will you be release ?

  9. kathy025 January 29, 2011 Reply

    Sylv3r, I’ve a PSP3K running on 5.03 GEN-C. It’s working fine but I’m contemplating on updating.

    Which 6.x Hens is the most advisable i.e. 6.20 TN-C Hen, 6.31 Hen, or 6.35 Hen?

  10. kathy025 January 29, 2011 Reply

    Thanks Sylv3r! Pardon my follow-up questions please. ^_^;

    1) How do I completely remove all 5.03 GEN-C files from my PSP? I mean not only deleting the files from the memory stick and such but also from the RAM if anything at all was installed there?

    2) Will removing the battery (so it reverts to OFW 5.03) do?

    • sylv3rblade January 29, 2011 Reply

      Delete the files for Chickhen and 5.03 GEN-C and turn off your PSP. :)

  11. Animehart January 29, 2011 Reply

    I’m Using PSP 1000 firmware 5.50 GEN-D3 Full
    will it work if i want to instal the TN-C firmware ??

    • sylv3rblade January 29, 2011 Reply

      Yep, you will need to update to 6.20 OFW then follow this guide. However, I would advice against it however as it’s a much better option to keep your Phat at 5.50 GEN-D3 and simply patch out the games you want to play.

      • aNIMEHART January 30, 2011 Reply

        Ooooo
        because when i wanted to try play Ore No imouto Portable
        i can’t play it whatever patch i used

        • sylv3rblade January 30, 2011

          ah lol, why not just wait for a patch version to get released? Will try to upload my copy of Ore no Imotou that I successfully patched for 5.00 m33

      • Critical February 14, 2011 Reply

        is it posible to patch games for 5.00m33-6? cuz i thinks that, this is the best cfw…. if so can u give me the link?
        tnx for ur support :D

  12. kathy025 January 29, 2011 Reply

    Heya Sylv3r! :)

    I read turning off the PSP is NOT uninstalling/removing, but rather just disabling:

    http://forums.exophase.com/showthread.php?t=18982

    Turns out, there’s an Uninstall option to completely remove 5.03 GEN-C:

    http://forums.psp-hacks.com/f127/how-to-uninstall-5-03-gen-c-t257866/

    ——————–
    Sorry for the many questions Sylv3r, I just want to be extra sure. Hehe.

    • sylv3rblade January 29, 2011 Reply

      In your case since you’re going to install 6.20 OFW, what’s more important is that no 5.03 related file remain when you’re upgrading. But yes, this is how to install 5.03 GEN-C.

  13. kathy025 January 29, 2011 Reply

    Just in case, can I downgrade from 6.20 back to 5.03 again if ever something goes wrong?

    • sylv3rblade January 29, 2011 Reply

      Nope, as of now downgrading from 6.20 to 5.03 is still unsafe.

  14. kathy025 January 29, 2011 Reply

    Alright! Thank you very much Sylv3r! I think I got all what I wanted to know, you’re awesome!

    My bro is gonna buy a PSP3K for himself but I doubt there’d be ones still on 5.03 these days so 6.20 TN-C would most likely be the way for him. For me though, right now I guess I’ll gather info if updating my 5.03 to 6.20 TN-C is worth the risk (but I’m really tempted to). :)

    • sylv3rblade January 30, 2011 Reply

      I would recommend sticking to 5.03 GEN-C over 6.20 TN-C if he wants to play older games since there’s issues with the Prometheus ISO loader. If he only wants to play newer games, then 6.20 TN-C should be fine.

  15. KK January 30, 2011 Reply

    will i be able to load and play.cso games using the above method?

  16. jed January 30, 2011 Reply

    Guys, i’m a fellow pinoy psp user. I just wanna know how we can capture screen shots using TN Hen-C. I tried everything and none worked. T___T
    Any advise? can u tell me how and where to download in case there is a way? Thanks a lot guys!

    • sylv3rblade January 30, 2011 Reply

      There’s a screenshot plugin created for 6.20 TN. Lemme see if I can find it.

    • sylv3rblade January 30, 2011 Reply

      i tried two plugins, the screenshotbmp.prx and FuSaSCR.prx, both seems to work fine with psp games. I can’t seem to make it work on the vsh menu :/

  17. jed January 30, 2011 Reply

    The screenshotbmp.prx and FuSaSCR.prx did work? Can you teach me how to do it? and where to put those files in my psp root. Tanx sylv3rblade!

    • sylv3rblade January 31, 2011 Reply

      yep, they did work but only in-game. I couldn’t take a screenshot of the the XMB :( Will update this post/push out a new one in a few hours (just got to work :().

  18. sabkabaap January 31, 2011 Reply

    wen will the 6.20 tn d release..??

    • sylv3rblade January 31, 2011 Reply

      No word on that but Total_Noob releases update quite fast so expect it in a few more days.

  19. jed January 31, 2011 Reply

    @sylv3rblade – a gazillion thanks! you said it do work in-game? How can you activate those plug-ins? I really wanna capture my Monster Hunter Portable 3rd characters but none seems to work.
    A gazillion thanks again from a fellow pinoy psp user.
    PS. you speak tagalog? ahehehehe.

  20. sabkabaap February 1, 2011 Reply

    sylv3rblade thanks for the reply…:)

  21. xadeth February 6, 2011 Reply

    i have a psp 2000 and am using cfw 5.50prometheus4,and i decided to upgrade to 6.2O tn-c,but then its said ur psp firmware is 9.90 no need to upgrade.so i changed the version.txt and loaded the tn enabler,i got the black screen and my psp restarted but i was still on 5.5Oprom4.why?is it cuz i have to get OFW 6.20 first?

    • sylv3rblade February 6, 2011 Reply

      you can’t install 6.20 TN-C on 5.50. You need to be on 6.20 OFW.

  22. xadeth February 6, 2011 Reply

    cool so i upgrade to ofw6.20 then use tn enabler?do u think its a wise decission?

    • sylv3rblade February 6, 2011 Reply

      If you still have older games you want to play, please be advised that not all games work with the Prometheus ISO loader then no. If however, you’re only interested in the latest games, then yes, it’s a good idea to upgrade.

  23. banban February 6, 2011 Reply

    wla pa ba tn-d hen ???? 6.20 ????

    • sylv3rblade February 6, 2011 Reply

      Wala pa ring update from Total_Noob.

    • sylv3rblade February 6, 2011 Reply

      Here’s a demo from Total_Noob:

      • Orin March 6, 2011 Reply

        I have a psp go and when i installed the 6.20 Hen-D on it, my psp keeps shutting off when I select a homebrew or iso game from the xmb menu. And it shuts off when i select a theme or try to restart my vsh menu. It sucks. Can anyone help me?

  24. greenboy27 February 8, 2011 Reply

    i updated my psp2000 into 6.20 ofw from a umd i bought.. I followed all your instruction but i still cannot play my ore no imouto game.. did updating from the umd made my psp incompatible with all downloaded isos?

    • sylv3rblade February 8, 2011 Reply

      That’s odd. I have Ore no imouto working on my PSP and it’s 6.20 TN-C.

      Please check if your PSP says 6.20 TN-C for it’s firmware version.

      • greenboy27 February 8, 2011 Reply

        yea at the system info it shows Version 6.20 TN-C.

        after i use the promotheus iso loader and i selected oreimo.iso, it says launching but it went into the XMP again instead, nothing happened..

        • sylv3rblade February 8, 2011

          What driver are you using when loading Ore no Imouto? The game crashes with the M33 driver it seems.

        • greenboy27 February 8, 2011

          sorry i’m new at this, but where can we determine which driver are we using?

        • sylv3rblade February 8, 2011

          bottom right corner of the Prometheus ISO loader, to change, press select.

        • greenboy27 February 8, 2011

          oh man i changed it but the same happened.. by the way the ore no imouto game cannot be detected on the XMP and we put it on the ISO folder right?

        • sylv3rblade February 8, 2011

          Games won’t be on your XMB with just the Prometheus ISO loader, the OpenIdea ISO loader does that.

          I think you have a patched version of the game. Try looking for an unpatched/clean version.

        • greenboy27 February 8, 2011

          nvm i managed to play it now.. thx for your time!

  25. biggerbyte February 9, 2011 Reply

    @Sylv3rblade: pards. My son had a PSP 3004 5.51OFW and can’t find the 6.20 OFW on the Sony PSP website (only available is 6.37) Anyway i also happen to download an OFW. so that’s finished. My fear is upgrading it. OFW 5.51 to 6.20? would this brick my son’s PSP? I dont know the mother board as well. also if ever Im successful in upgrading and did the TN-C and prometheus (downloaded as per the main post above) onto the memory will it be safe as well? no bricking? I just like to be sure since I the cost for upgrade here is P900 but it would be a pain if I failed as well. I just like my son to enjoy without the heavy cost and loss. Thanks!

    • Lusanagi February 10, 2011 Reply

      no bricking risk, since the TN-C HEN works with software only (no flashing at all)

  26. Jed February 12, 2011 Reply

    Guys! any news about ways to capture screen shots using CFW TN Hen – C? If there is please tell me the instructions and any files i need to download. Many thanks!

    P.S. Please tell me how to do it while playing any ISO/CSO games.

    A gazillion thanks!

    • sylv3rblade February 12, 2011 Reply

      the old screenshot plugins still works:
      http://www.atmaxplorer.com/2009/07/how-to-capture-screenshots-on-your-psp/

      Hmm I guess I need to update that guide now (for 6.xx Hen and PSP Go owners)

      • alicar February 12, 2011 Reply

        umm ask ko lng stable ba tong signed 6.20? di ba sya gaya ng HEN? pag shut down mawawala? and why cant i upgrade from 5.50 gen-d3 to 6.20 ofw?

        • sylv3rblade February 12, 2011

          Yes it’s stable. Hen pa rin sya so you still need to re-run it after turning off your PSP pero at least isang program lang. Also, check out the troubleshooting part of the post to upgrade to 6.20 OFW.

  27. kathy025 February 12, 2011 Reply

    We only need the signed TN-C Hen and the Prome ISO Loader to play ISOs from the MS right?

    What is this “ISO Tool” I’ve been reading? Is it like an addon?

    • sylv3rblade February 12, 2011 Reply

      It’s a plugin that’ll allow you to decrypt PSP games and run them from either the Prometheus ISO loader or from your XMB (this is only possible with newer versions of ISO tool since it includes it’s own copy of the Prometheus ISO loader)

      • Lusanagi February 13, 2011 Reply

        I’m kinda lost with this one
        do you mean to install a prx from the ISO tool package? (I found a seplugins folder with a peagasus.prx. do you mean this one?)

        • sylv3rblade February 13, 2011

          Hmm.. I think I should make a blog post on ISO Tool real soon. That way it makes things quite clearer and you have the chance to try it out.

        • Lusanagi February 13, 2011

          that’d be cool, thanks

  28. GravyTrain February 13, 2011 Reply

    I have 6.35HEN. PSP 3001. Should I downgrade to 6.20TN-C or should I stay where I am? Are there any advantages? Which one has more support? I want to go down but I need that extra push. Thanks for any input.

    • sylv3rblade February 13, 2011 Reply

      Both 6.20 TN and 6.35 Hen are currently in development, my advice is to stick to which developer you prefer.

      • GravyTrain February 13, 2011 Reply

        I think I will stick with what I have right now. My UMD backups work great and that is what I pretty much use it for right now being new to the scene. I also like the VSH menu by TOcean. Thanks for the reply.

  29. banban February 14, 2011 Reply

    wla pa bang TN-D syl ???

  30. banban February 14, 2011 Reply

    huhuhuh……sayang nmn… sana ma.release na yan this week….

  31. Critical February 14, 2011 Reply

    can i downgrade my psp-2k from 6.2tn-c to 3.7m-33 using recovery homebrow? will it work for hackeble psps? cuz i wanna back to 5.00m33-6! thats better and all my save games are crupted now :(

  32. Critical February 14, 2011 Reply

    and also, how can i patch games for example GOW:ghost of sparta for 5.00m33-6? cuz i had 5.5gen-d3 befor and had same problem for loading that game

  33. cathy February 19, 2011 Reply

    Hi,

    I just wanna asked.. i have already installed Prometheus ISO loader … do i have to run this before i can play my psp games?

    thank you

    cathy

    • sylv3rblade February 19, 2011 Reply

      yep, you run your games via Prometheus ISO loader.

  34. min February 23, 2011 Reply

    I have just upgraded my firmware to 6.20 and installed 6.20 TN-C and Prometheus ISO loader. Bun non of my ISO or CSO are working after that. I tried it with both driver, and it either hang or return to XMB. Please help.

  35. min February 24, 2011 Reply

    Thank you sylv3rblade for your help. I found GTA: Chinatown Wars, GTA:LC and GTA:VC in its working list but doesn’t worked for my PSP 3001, 6.20 TN-C with prometheus.

    I will try with other games. List that you have linked here is really awesome.

  36. min February 24, 2011 Reply

    Oh sorry, I think I made a mistake here. Are the games not suffixed with (Confirmed) is not confirmed yet right ?

  37. Ryuuichi February 24, 2011 Reply

    Cwcheat plugin compatible?

  38. Zomzilla February 26, 2011 Reply

    mine worked before using this
    but after i downgraded to 5.03 and then back to ofw 6.20 (please don’t ask why) it just says that its corrupted! why?!

    • sylv3rblade February 27, 2011 Reply

      Try redownloading the files to install 6.20 TN-C again.

  39. critical February 28, 2011 Reply

    sylv3rblade , have u deleted my asking? that was really importan for me , cuz i have to chose between upgraiding 2k to 3k or buying a ps3…
    plz tell me if they have fixed psp-300x scan-lines or those psps still have this problem(even a bit!)…
    if its fix, do u know frm which pack?

  40. soroko March 6, 2011 Reply

    Great job.
    thnks a lot
    it worked!!

  41. crystal gutierrez March 7, 2011 Reply

    i have a psp 3000. it is the hannah montana one. it says its a 6.20. wat do i need to install to play iso games. is it 6.35

    • sylv3rblade March 8, 2011 Reply

      You can install 6.20 TN-C Hen (this post) it’s update 6.20 TN-D or 6.35 Pro-B2 (currently the most up to date Hen/LCFW available.

  42. min March 11, 2011 Reply

    Is 6.20 TN-D compatible with ISO and CSO files ? Am I have to convert PS1 iso to EBOOT before playing ?

  43. Juan Restrepo March 12, 2011 Reply

    I have PSP3001 with 5.5
    I read all the instructions and I didn’t find one that I can use…
    Can I hack my PSP?
    I don’t have yet a CF an f I don’t know how to do it…
    Please help me

    • sylv3rblade March 13, 2011 Reply

      Upgrade to 6.20 ofw then follow the instructions on this page.

  44. Juan Restrepo March 13, 2011 Reply

    sorry…I did it a lot of times but the OFW is not updated….it remains the same.. 5.55

    the system is rebooted but continues 5.55

    What I’m doing wrong…what else should I do? Please and thaxs

  45. Juan Restrepo March 13, 2011 Reply

    hey Thanx man…
    I did it
    Thanks a lot…thats great!!!!

  46. ANuj April 5, 2011 Reply

    Hi! Ive just bought a psp 3000 6.20! I dont want to brick it! Can you tell me step by step how to do the hack in a simpler way! Please thank you! :D

    • sylv3rblade April 5, 2011 Reply

      The instructions above are as simple as it gets.

  47. maynard April 15, 2011 Reply

    sylv3rblade i have a psp go 5.70 ..where i can find 6.20 updates and the appropriate 6.20 tn-c and prome iso loader for psp go tnx kindly send me a link

    • sylv3rblade April 15, 2011 Reply

      For the 6.20 OFW, follow the link at the bottom of the post. For 6.20 TN-C, just follow the instructions above.

      • maynard April 15, 2011 Reply

        tnx sylverblade,, is this safe cause a i worried if i brick my pspgo .. if i brick it what is the possible solution ..

  48. tofz May 10, 2011 Reply

    would like to ask, I’m done with upgrading 5.51 to 6.20 OFW, so next is 6.20 TN-C, but why is it when I checked it in XMB to execute installation, the file is corrupted? I tried to redownload the 6.20 TN-C file and followed the instruction above, but still I’m experiencing the same problem.

    Hope to hear from you soon thanks man…

    • sylv3rblade May 10, 2011 Reply

      Odd. Use the installer for 6.20 TN-E: http://www.atmaxplorer.com/2011/04/total_noobs-6-20-tn-e-hen-now-available/ and follow the instructions on this page.

    • tofz May 10, 2011 Reply

      AHhh wait I now see why I’m having a problem, after I downloaded the file I just opened it to copy the PSP folder instead of extracting it

      • sylv3rblade May 10, 2011 Reply

        Lol so that’s the reason. Update me on how it goes ;)

        • tofz May 10, 2011

          Yay!!! It’s working!!! thanks for your help… this unit is actually my cousin’s, I have a PSP with 3.52-m33 CFW, kinda ice age CFW… Hope I can find instructions as simple as this =) Thanks again!!!

        • sylv3rblade May 10, 2011

          No prob :)
          If you want to upgrade your PSP there’s 5.00 M33 and 5.50 GEN-D3 :)

        • tofz May 10, 2011

          Cool… I thought I will have to bury my so old PSP 3.52 m33 CFW… thanks for the info

  49. betoy May 16, 2011 Reply

    hmmm .. i hav a psp with TA-v88v3 mobo and has a cfw 5.03 , i want to update mine to 6.20 TN-C HEN , should i patch the OFW 6.20 in order to patch the 6.20 TN-C HEN , or is it possible to upgrade it directly to 6.20 TN-C HEN ?? .. tnx :)

    • maynard July 7, 2011 Reply

      update mo muna xia paps bago mo i run yong hen.. kaya 6.20 tn-c para sa 6.20

  50. mark sousa June 3, 2011 Reply

    i have a psp 3001 plz help me to how to put mhp3rd on my psp!

  51. maynard July 7, 2011 Reply

    sir silv3rblade can i install 6.35 pro hen in my psp 6.35 model 3004.. ive read some comments that they installed it and keep on resseting not brick. is this safe tnx and more power

    • sylv3rblade July 7, 2011 Reply

      Yes, 6.35 can be installed on any PSP. Ang may limitation is 6.20 since not all PSPs can be downgraded to 6.20.

  52. Glacey July 24, 2011 Reply

    If I remember correctly, my PSP 2000 runs on 3.90 or such, since I haven’t played it in a a very long time. Can I still upgrade it to 6.20 TN-C?

    Also, it says to install 6.20 from the XMB or whatever. I’m confused as to what this means. If anyone could help, I’d appreciate it. =w=;

  53. Jay August 15, 2011 Reply

    So I have 6.20 TN-C everytime I copy the prometheus ISO loader folder onto my PSP it shows up as corrupted data on my XMB. I click on it and it says This game cannot be started the data is corrupted. I’ve deleted it and reinstalled but its still not working.Any solution for this?

    • sylv3rblade August 15, 2011 Reply

      Before running the Prometheus ISO loader, please check if you are indeed on 6.20 TN-C. Also please check if you have placed the folder in the proper directory.

      • Jay August 15, 2011 Reply

        I have it copied correctly using the guide above.
        Can I reset everything to original settings and try it again? If so how do I do that correctly? Ease forgive the questions, very new to this. I just wanted something to play snes games on lol.

  54. keondre September 3, 2011 Reply

    I keep downloading the file but when i go to xm it says the file is corrupt, im really confused on wats goin on? I’ve looked through other sites with ppl with the same prob but they usually get it cleared up. So im guessing im doin something wrong. Maybe file placement or something??

    • sylv3rblade September 4, 2011 Reply

      The error saying that the installer is corrupt means that you simply placed it in the wrong directory. Please follow the guide explicitly

  55. Tommy November 6, 2011 Reply

    So i have psp 3000 with the TN-C and the Promtheus and i have a iso folder but i get stuck from there . Also , when i downloaded my game that i wanted and i put it in the iso folder and go to Prometheus it dosnt show up in the m33 or the other directory so im just lost. ): please help.

    • sylv3rblade November 7, 2011 Reply

      Please ensure that the game you have placed on your PSP is in .iso or .cso format, no zips/rars. Otherwise your PSP won’t be able to read it.

  56. eminem123 November 9, 2011 Reply

    i’ve tried to run it like a 100 times now, but it keep saying the file is corrupt.
    i’m doing exactly what the guide say’s, so i dont know what im doing wrong
    please help me !!

  57. arvin sabino November 11, 2011 Reply

    HELLO I AM FROM THE PHILLIPINES WHY MY PSP HANG WHEN I PLAY THE TN-C FOR VERSION 6.20 AND WHAT I’M GONNA SUPPOSED TO DO ??

Leave a Reply

website stats